ClarisWksStyleManager::KSEN Struct Reference

the KSEN structure a structure related to paragraph and cell style More...

`#include <ClarisWksStyleManager.hxx>`

## Public Member Functions
| KSEN ()
| constructor

## Public Attributes
int | m_valign
| the vertical alignment
MWAWBorder::Style | m_lineType
| the line type
MWAWBorder::Type | m_lineRepeat
| the line repetition
int | m_lines
| an int used to add some oblique line ( or cross )
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ClarisWksStyleManager::KSEN const &ksen)
| operator<<

## Detailed Description

the KSEN structure a structure related to paragraph and cell style

## Constructor & Destructor Documentation

## ◆ KSEN()

ClarisWksStyleManager::KSEN::KSEN | ( |  | ) |
| inline

constructor

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::KSEN const & | ksen )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string ClarisWksStyleManager::KSEN::m_extra

extra data

Referenced by KSEN(), operator<<, and ClarisWksStyleManager::readKSEN().

## ◆ m_lineRepeat

MWAWBorder::Type ClarisWksStyleManager::KSEN::m_lineRepeat

the line repetition

Referenced by KSEN(), operator<<, ClarisWksStyleManager::readKSEN(), and ClarisWksTableInternal::TableCell::update().

## ◆ m_lines

int ClarisWksStyleManager::KSEN::m_lines

an int used to add some oblique line ( or cross )

Referenced by KSEN(), operator<<, ClarisWksStyleManager::readKSEN(), and ClarisWksTable::readTableCells().

## ◆ m_lineType

MWAWBorder::Style ClarisWksStyleManager::KSEN::m_lineType

the line type

Referenced by KSEN(), operator<<, ClarisWksStyleManager::readKSEN(), and ClarisWksTableInternal::TableCell::update().

## ◆ m_valign

int ClarisWksStyleManager::KSEN::m_valign

the vertical alignment

Referenced by KSEN(), operator<<, ClarisWksStyleManager::readKSEN(), and ClarisWksTable::readTableCells().

The documentation for this struct was generated from the following file:

- ClarisWksStyleManager.hxx